Batch get your roadmap comment viewer states
curl --request GET \
--url https://api.plazza.ca/v1/roadmapBoards/{board}/items/{item}/comments/{comment}/viewerStates:batchGet \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plazza.ca/v1/roadmapBoards/{board}/items/{item}/comments/{comment}/viewerStates:batchGet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.plazza.ca/v1/roadmapBoards/{board}/items/{item}/comments/{comment}/viewerStates:batchGet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"viewerStates": [
{
"name": "roadmapBoards/hire/items/019a7c2e-4b1d-7c3a-9d4e-5f6a7b8c9d0e/comments/019a7c31-0e2f-7a1b-8c3d-4e5f6a7b8c9d/viewerState",
"owned": false,
"reactions": [
"👍"
]
}
]
}{
"error": {
"code": 401,
"message": "Unauthorized",
"status": "UNAUTHENTICATED",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "MISSING_CREDENTIALS",
"domain": "api.plazza.ca"
},
{
"@type": "type.googleapis.com/google.rpc.LocalizedMessage",
"locale": "en",
"message": "Sign in to continue."
}
]
}
}Roadmap
Batch get your roadmap comment viewer states
Your viewer states on up to 50 comments, in the order named, to show on a page of them. Use - as the comment to read across an item, and as the item too to read across the board. One name that is invalid, outside the parent or not found fails the whole request.
GET
/
v1
/
roadmapBoards
/
{board}
/
items
/
{item}
/
comments
/
{comment}
/
viewerStates:batchGet
Batch get your roadmap comment viewer states
curl --request GET \
--url https://api.plazza.ca/v1/roadmapBoards/{board}/items/{item}/comments/{comment}/viewerStates:batchGet \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plazza.ca/v1/roadmapBoards/{board}/items/{item}/comments/{comment}/viewerStates:batchGet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.plazza.ca/v1/roadmapBoards/{board}/items/{item}/comments/{comment}/viewerStates:batchGet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"viewerStates": [
{
"name": "roadmapBoards/hire/items/019a7c2e-4b1d-7c3a-9d4e-5f6a7b8c9d0e/comments/019a7c31-0e2f-7a1b-8c3d-4e5f6a7b8c9d/viewerState",
"owned": false,
"reactions": [
"👍"
]
}
]
}{
"error": {
"code": 401,
"message": "Unauthorized",
"status": "UNAUTHENTICATED",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "MISSING_CREDENTIALS",
"domain": "api.plazza.ca"
},
{
"@type": "type.googleapis.com/google.rpc.LocalizedMessage",
"locale": "en",
"message": "Sign in to continue."
}
]
}
}Authorizations
Path Parameters
Query Parameters
The comment viewer states to read, 1 to 50, each under a comment of the parent. Repeat the parameter for each.
Required array length:
1 - 50 elementsRequired string length:
1 - 300Example:
[
"roadmapBoards/hire/items/019a7c2e-4b1d-7c3a-9d4e-5f6a7b8c9d0e/comments/019a7c31-0e2f-7a1b-8c3d-4e5f6a7b8c9d/viewerState"
]